description

# ChannelSplitterNode class Null safety

Inheritance
  - Object
  - EventTarget
  - AudioNode
  - ChannelSplitterNode
Annotations
  - @Native("ChannelSplitterNode,AudioChannelSplitter")

## Constructors

ChannelSplitterNode(BaseAudioContext context, [Map? options])
  factory

## Properties

channelCount ↔ int?
  read / write, inherited
channelCountMode ↔ String?
  read / write, inherited
channelInterpretation ↔ String?
  read / write, inherited
context → BaseAudioContext?
  read-only, inherited
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
numberOfInputs → int?
  read-only, inherited
numberOfOutputs → int?
  read-only, inherited
on → Events
  This is an ease-of-use accessor for event streams which should only be used when an explicit accessor is not available.
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

addEventListener(String type, EventListener? listener, [bool? useCapture]) → void
  inherited
connectNode(AudioNode destination, [int output = 0, int input = 0]) → void
  inherited
connectParam(AudioParam destination, [int output = 0]) → void
  inherited
disconnect([dynamic destination_OR_output, int? output, int? input]) → void
  inherited
dispatchEvent(Event event) → bool
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
removeEventListener(String type, EventListener? listener, [bool? useCapture]) → void
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited